PGASetPrintOptions(7)

NAME
PGASetPrintOptions - set flags to indicate what GA statistics should be printed whenever output is printed.

DESCRIPTION
May be called more than once to specify different report options. Valid choices are PGA_REPORT_AVERAGE, PGA_REPORT_OFFLINE, PGA_REPORT_ONLINE, PGA_REPORT_WORST, PGA_REPORT_HAMMING, and PGA_REPORT_STRING to specify offline analysis, online analysis, the worst string in the population, the Hamming distance of the population, and the actual allele values of the best string. The best string is always printed.

INPUT PARAMETERS
ctx - context variable
option
    - symbolic constant to specify a print option

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
void  PGASetPrintOptions(ctx, option)
PGAContext *ctx
int option

LOCATION
report.c

EXAMPLE
Example:
PGAContext *ctx;
:
PGASetPrintOptions(ctx, PGA_REPORT_WORST);